.boa-button-to-image-section {

  .grid-container-holder--with-description {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, auto);
    gap: 50px;
    margin: 0 auto 20px;

    .grid__heading-actions {
      text-align: unset;
    }

    .grid__description * {
      font-size: 16px;
    }

    .button-to-image-title {
      text-align: unset;
      margin-block: 0 15px;
      font-size: 32px;
    }

    .button-to-image-nav-button {
      padding: 0.2rem 1.9rem;
      font-size: 24px;
      border-radius: 2rem;
      letter-spacing: normal;
    }

    .grid__heading-holder {
      padding-inline-start: 50px;
      margin-bottom: 10px;
    }

    .button-to-image-actions {
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      align-items: flex-start;
      max-width: 500px;
      margin: auto;
    }

    .button-to-image-description-holder {
      max-width: 700px;
      padding-inline: 20px;
    }

    .grid__items-holder {
      grid-column: span 2 / span 2;
    }

    .buttons-to-slides {
      justify-content: flex-start;
      gap: 10px;
    }
  }
  .grid__heading-holder {
    margin-bottom: 60px;
  }

  .grid__heading-actions {
    text-align: center;
  }

  .button-to-image-title {
    text-align: center;
    font-size: 46px;
    margin-block: 50px 15px;
  }

  .button-to-image-main-button {
    text-align: center;
    font-size: 18px;
    margin: 0 auto 20px;
  }
  .button-to-image-grid--slider {
    display: flex;
    gap: 150px;
    scroll-behavior: smooth;
    overflow-x: scroll;
    scrollbar-width: none;  /* Firefox */
    -ms-overflow-style: none;  /* IE and Edge */
    padding: 0 80px;
  }

  .button-to-image-grid--slider::-webkit-scrollbar {
    display: none;  /* Chrome, Safari and Opera */
  }

  .buttons-to-slides {
    display: flex;
    justify-content: space-around;
    gap: 20px;
    flex-wrap: wrap;
    margin: 20px auto;
    max-width: 1000px;
  }
  .button-to-image-nav-button {
    font-size: 18px;
    padding: 5px 20px 3px;
    border: none;
    border: 1px solid black;
    border-radius: 20px;
    cursor: pointer;
    transition: background-color 0.3s;
  }

  .button-to-image-nav-button:hover {
    background-color: rgba(0, 0, 0, 0.1);
  }

  .button-to-image-nav-button.active {
    background-color: rgba(0, 0, 0, 0.1);
    color: white;
    border: 1px solid black;
  }

  .boa-button-to-image-slide-tooltip-wrapper {
    position: relative;
  }

  .boa-button-to-image-slide-tooltip {
    visibility: hidden;
    position: absolute;
    bottom: -25px;
    right: -70px;

    * {
      font-size: 16px;
    }

    ul {
      display: flex;
      width: fit-content;
      gap: 10px;
      padding: 14px 20px;
      list-style-type: none;
      border-radius: 40px;
      backdrop-filter: blur(3px);
    }

    li {
      margin: 0;
    }

    a {
      color: black;
      text-decoration: none;
    }
    
    a:hover {
      text-decoration: underline;
    }
  }

  .boa-button-to-image-slide-wrapper:hover .boa-button-to-image-slide-tooltip {
    visibility: visible;
  }

  @media screen and (min-width: 750px) {
    .grid__heading-holder {
      margin-bottom: 80px;
    }
  }
  @media screen and (max-width: 768px) {
    .grid-container-holder--with-description {
      display: flex;
      flex-direction: column;

      .button-to-image-description-holder {
        order: 1;
      }
    }
    .button-to-image-title {
      font-size: 32px;
    }
    .button-to-image-main-button {
      font-size: 14px;
    }
    .buttons-to-slides {
      justify-content: center;
      gap: 10px;
    }
    .boa-button-to-image-slide-wrapper:hover .boa-button-to-image-slide-tooltip {
      visibility: hidden;
    }
    .boa-button-to-image-slide-tooltip-wrapper {
      display: none;
    }
  }
}